%if 0%{?fedora}
%global with_python3 1
%global py_build %{py3_build}
%global py_install %{py3_install}
%global __python %{__python3}
%global python_sitelib %{python3_sitelib}
%else
%global py_build %{py2_build}
%global py_install %{py2_install}
%global __python %{__python2}
%global python_sitelib %{python2_sitelib}
%endif

Name:          pew
Summary:       Manage multiple Python vitual environments
URL:           https://pypi.python.org/pypi/%{name}
License:       MIT

Version:       0.1.19
Release:       1%{?dist}
Source0:       https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:     noarch

%if 0%{?with_python3}
Provides:      python3-%{name}

BuildRequires: python3-devel
# For the unit tests
BuildRequires: python3-pythonz-bd >= 1.10.2
BuildRequires: python3-setuptools
BuildRequires: python3-virtualenv
BuildRequires: python3-virtualenv-clone >= 0.2.5

Requires:      python3-pythonz-bd >= 1.10.2
Requires:      python3-setuptools
Requires:      python3-virtualenv
Requires:      python3-virtualenv-clone >= 0.2.5
%else
Provides:      python-%{name}

BuildRequires: python2-devel
# For the unit tests
BuildRequires: python-pythonz-bd >= 1.10.2
BuildRequires: python-setuptools
BuildRequires: python-virtualenv
BuildRequires: python-virtualenv-clone >= 0.2.5

Requires:      python-backports-shutil_get_terminal_size 
Requires:      python-pathlib
Requires:      python-pythonz-bd >= 1.10.2
Requires:      python-setuptools
Requires:      python-shutilwhich
Requires:      python-virtualenv
Requires:      python-virtualenv-clone >= 0.2.5
%endif


%description
Python Env Wrapper is a set of commands to manage multiple virtual
environments. Pew can create, delete and copy your environments, using a
single command to switch to them wherever you are, while keeping them in a
single (configurable) location.

Virtualenvs make it easier to work on more than one project at a time without
introducing conflicts in their dependencies.

Pew is completely shell-agnostic and thus works on bash, zsh, fish,
powershell, etc.


%prep
%autosetup
sed -i "s/'virtualenv.*//g" setup.py


%build
%py_build


%install
%py_install


%check
%{__python} setup.py test


%files
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}*.egg-info


%changelog
* Wed Feb 17 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.19-1
- Add EL7 build

* Thu Jan 28 2016 Mathieu Bridon <bochecha@daitauha.fr> - 0.1.19-1
- Initial package for Fedora.
